EDIT - bug #10287

Remaining issues for Remote Server View
03/23/2023 03:26 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.37

Severity: normal Found in Version:

Description

copied from #10221:

o even better would be an additional warning that is shown after uncecking the checkbox saying that this is a dangerous
mode as it may lead to incorrect behavior or even data corruption
o also an idea would be to put it into an "advanced" section that opens only if requested

Related issues:
Related to EDIT - feature request #10221: Add form to edit the json file with... Closed

Associated revisions

Revision 67d1d741 - 03/30/2023 02:26 PM - Katja Luther

ref #10287: keep order of remote server entries

Revision b7b2f0b7 - 03/30/2023 02:58 PM - Katja Luther

ref #10287: better order of menu items

Revision bb863be9 - 03/31/2023 09:40 AM - Katja Luther
ref #10287: open edit wizard by double click

Revision a32745ae - 04/11/2023 10:00 AM - Katja Luther

ref #10287: handling wrong port information

Revision 0ded4de0 - 04/11/2023 10:08 AM - Katja Luther

ref #10287: add recommended to check cdmlib version

Revision 8ba075b7 - 04/12/2023 09:59 AM - Andreas Miiller

ref #10287 change cdmlib label to lower case

Revision 2d2a661d - 04/12/2023 01:07 PM - Andreas Muller

ref #10287: add move up and down in context menu

Revision dc0daf78 - 04/12/2023 03:24 PM - Katja Luther

ref #10287: adapt connection test

History

#1 - 03/23/2023 03:27 PM - Katja Luther

- Related to feature request #10221: Add form to edit the json file with cdmserver info added

#2 - 03/23/2023 04:24 PM - Andreas Miuller

04/19/2024 1/3



https://dev.e-taxonomy.eu/redmine/issues/10221

- Tags set to fast

- Target version changed from Unassigned CDM tickets to Release 5.44

| think we should try to implement it asap as this are only small issues and to fully close this issue. If it is more complecated than | expect it to be
please leave a note.

#3 - 03/23/2023 11:51 PM - Andreas Miiller
- Description updated

#4 - 03/24/2023 10:22 AM - Katja Luther

- Description updated

#5 - 03/30/2023 02:26 PM - Katja Luther
- Description updated

#6 - 03/30/2023 02:27 PM - Katja Luther

- Status changed from New to In Progress

#7 - 03/31/2023 09:41 AM - Katja Luther
- Description updated

#8 - 04/11/2023 10:00 AM - Katja Luther
- Description updated

#9 - 04/11/2023 10:08 AM - Katja Luther
- Description updated

#10 - 04/11/2023 10:11 AM - Katja Luther

For the check cdmlib version the basic version is implemented now.

#11 - 04/11/2023 10:12 AM - Katja Luther
- Status changed from In Progress to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 0 to 60

Please review.

#12 - 04/12/2023 10:01 AM - Andreas Miiller

Minor issues:

e Documentation of the class and the methods is often not correct. Also IMO we can fully documentation which does not give any further
information such as <p>Abstract CdmDataSourceCredentialsWizardPage class.</p> or @param pageName a {@link java.lang.String} object. .

#13 - 04/12/2023 10:48 AM - Belen Escobari

- Target version changed from Release 5.44 to Release 5.37

#14 - 04/12/2023 11:01 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 60 to 90

Everything works as expected. One more nice-to-have issue: allow "move up" and "move down" via d&d or context menu.

#15 - 04/13/2023 03:56 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Works as expected now an can be closed.
